Index: trunk/admin/modules/Elezioni/ele_associazioni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 256)
+++ trunk/admin/modules/Elezioni/ele_associazioni.php	(revision 257)
@@ -14,7 +14,6 @@
     die ("You can't access this file directly...");
 }
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $id_comune=$_SESSION['id_comune'];
@@ -22,9 +21,14 @@
 $perms=ChiSei(0);
 if ($perms<128 or !$id_cons_gen) die("$perms Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-$res = mysql_query("SELECT t1.tipo_cons,t1.descrizione,t2.id_cons,t2.id_conf FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' " , $dbi);
-list($tipo_cons,$descr_cons,$id_cons,$id_conf) = mysql_fetch_row($res);
-
-$res = mysql_query("SELECT genere FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' " , $dbi);
-	list($genere) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t1.descrizione,t2.id_cons,t2.id_conf FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' ";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+#	$gru = $sth->fetch(PDO::FETCH_BOTH);	
+list($tipo_cons,$descr_cons,$id_cons,$id_conf) = $res->fetch(PDO::FETCH_NUM);
+
+$sql="SELECT genere FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' ";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($genere) = $res->fetch(PDO::FETCH_NUM);
 
 include("modules/Elezioni/funzionidata.php");
@@ -59,5 +63,4 @@
 	global $user, $admin, $bgcolor1, $bgcolor2, $prefix,$descr_cons, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$id_cons_gen,$id_collegio,$idcomune,$chiusa,$id_conf,$tipo_cons,$language,$help,$preferenze,$idfascia,$vismf,$sg,$disgiunto,$id_cons_comu;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 ############# Controllo flag per cancellazione consultazione
@@ -117,6 +120,8 @@
 	OpenTable();
 	echo "<tr><td><hr><br>";	
-	$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'" , $dbi);
-	list ($descr_cons) = mysql_fetch_row($res);
+	$sql="SELECT descrizione FROM ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	list ($descr_cons) =  $res->fetch(PDO::FETCH_NUM);
 //inserire avviso su mancanza dei permessi
 	echo "<form name=\"model\" action=\"admin.php\">";
@@ -137,8 +142,10 @@
 	echo "<input type=\"hidden\" name=\"op\" value=\"associazioni\">";
 	echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">$descr_cons</td>";
-	$rescomu = mysql_query("SELECT id_comune, descrizione from ".$prefix."_ele_comuni order by descrizione asc", $dbi);
+	$sql = "SELECT id_comune, descrizione from ".$prefix."_ele_comuni order by descrizione asc";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();	
 	echo "<td>";
 	if($idcomune) {
-		while ($listele=mysql_fetch_array($rescomu))
+		while ($listele=$rescomu->fetch(PDO::FETCH_BOTH))
 			if($listele['id_comune']==$idcomune) {
 				echo $listele['descrizione'];
@@ -149,5 +156,5 @@
 	echo "<select name=\"idcomunenew\">";
 	echo "<option value=\"0\"> ";
-	while(list($id,$descr_comu)=mysql_fetch_row($rescomu)){
+	while(list($id,$descr_comu)=$rescomu->fetch(PDO::FETCH_NUM)){
 		$sel= ($id == $idcomune) ? "selected":"";
 		echo "<option value=\"$id\" $sel>$descr_comu";
@@ -171,12 +178,16 @@
 	if($tipo_cons==3){
 		if($idcomune) {
-			$rescomu = mysql_query("SELECT id_fascia from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomune'", $dbi);
-			if($rescomu)
-				list($fasciacom)=mysql_fetch_row($rescomu);
+			$sql="SELECT id_fascia from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomune'";
+			$rescomu = $dbi->prepare("$sql");
+			$rescomu->execute();	
+			if($rescomu->rowCount())
+				list($fasciacom)=$rescomu->fetch(PDO::FETCH_NUM);
 		} else $fasciacom=0;
-		$rescomu = mysql_query("SELECT id_conf, descrizione from ".$prefix."_ele_conf order by id_conf desc", $dbi);
+		$sql="SELECT id_conf, descrizione from ".$prefix."_ele_conf order by id_conf desc";
+		$rescomu = $dbi->prepare("$sql");
+		$rescomu->execute();	
 		echo "<td><select name=\"id_conf\" id=\"id_conf\" onchange=\"javascript:showdate('modules/Elezioni/ele_desc_fasce.php?fascia=$fasciacom&id_conf=' + model.id_conf.options[model.id_conf.selectedIndex].value,'fasceconf');\">";
 		echo "<option value=\"0\"> ";
-		while(list($id,$descr_conf)=mysql_fetch_row($rescomu)){
+		while(list($id,$descr_conf)=$rescomu->fetch(PDO::FETCH_NUM)){
 			$sel='';
 			if ($idcomune and $id == $id_conf) $sel="selected"; 
@@ -185,10 +196,12 @@
 		echo "</select></td>";
 		if(!$id_conf) $id_conf=1;
-		$rescomu = mysql_query("SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'", $dbi);
+		$sql="SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'";
+		$rescomu = $dbi->prepare("$sql");
+		$rescomu->execute();	
 		
 		echo "<td id=\"fasceconf\"><select name=\"idfascia\">";
 		echo "<option value=\"0\"> ";
 		$inffascia=0;
-		while(list($id,$abitanti)=mysql_fetch_row($rescomu)){
+		while(list($id,$abitanti)=$rescomu->fetch(PDO::FETCH_NUM)){
 			$sel='';
 			if ($idcomune and $id == $fasciacom) $sel="selected"; elseif ($id==1) $sel="selected";
@@ -201,6 +214,8 @@
 	}
 	unset($sel);
-	$rescomu = mysql_query("SELECT vismf,solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons_comu'", $dbi);
-	list($vismf,$sg,$disgiunto)=mysql_fetch_row($rescomu);
+	$sql = "SELECT vismf,vismf,solo_gruppo,disgiunto from ".$prefix."_ele_cons_comune where id_cons='$id_cons_comu'";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();	
+	list($vismf,$sg,$disgiunto)=$rescomu->fetch(PDO::FETCH_NUM);
 	echo "<td><select name=\"vismf\">";
 	if ($vismf==0) $sel="selected"; else $sel="";
@@ -250,8 +265,12 @@
 	echo "<td width=\"10\" bgcolor=\"$bgcolor1\"><b>&nbsp;"._FUNZIONI."</b></td></tr>";
 
-	$resmod = mysql_query("SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze,t1.id_fascia,t1.vismf,t1.solo_gruppo,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione", $dbi);
-	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2,$fasciacom,$vismf2,$sg2,$disgiunto2) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
-		$resconf = mysql_query("SELECT descrizione FROM ".$prefix."_ele_conf where id_conf='$id_conf'", $dbi);
-		list($descr_conf) = mysql_fetch_row($resconf);
+	$sql="SELECT '',t1.id_comune,'',t1.id_cons, t2.descrizione, t1.chiusa, t1.id_conf, preferenze,t1.id_fascia,t1.vismf,t1.solo_gruppo,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1, ".$prefix."_ele_comuni as t2 where t1.id_cons_gen='$id_cons_gen' and t1.id_comune=t2.id_comune order by t2.descrizione";
+	$resmod = $dbi->prepare("$sql");
+	$resmod->execute();	
+	while (list($id_collegio,$id_comune2,$descr_coll,$id_cons_comu,$descr_comu, $chiusa,$id_conf,$preferenze2,$fasciacom,$vismf2,$sg2,$disgiunto2) = $resmod->fetch(PDO::FETCH_NUM)){ //elenco dei modelli inseriti
+		$sql="SELECT descrizione FROM ".$prefix."_ele_conf where id_conf='$id_conf'";
+		$resconf = $dbi->prepare("$sql");
+		$resconf->execute();	
+		list($descr_conf) = $resconf->fetch(PDO::FETCH_NUM);
 		$i++;
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
@@ -266,8 +285,10 @@
 		if($tipo_cons==3){
 			echo "<td><b>".$descr_conf."</b></td>";
-			$rescomu = mysql_query("SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'", $dbi);
+			$sql="SELECT id_fascia,abitanti from ".$prefix."_ele_fasce where id_conf='$id_conf'";
+			$rescomu = $dbi->prepare("$sql");
+			$rescomu->execute();	
 			$inffascia=0;
-			if (mysql_num_rows($rescomu)==0) echo "<td></td>";
-			while(list($id,$abitanti)=mysql_fetch_row($rescomu)){
+			if ($rescomu->rowCount()==0) echo "<td></td>";
+			while(list($id,$abitanti)=$rescomu->fetch(PDO::FETCH_NUM)){
 				$sel='';
 				if ($id == $fasciacom) 
@@ -304,16 +325,26 @@
 	$delcons=0;
 	if ($do !="" and $id_cons_gen>0 and $idcomunenew>0) {
-		$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi); 
-		$max = mysql_num_rows($rescomu); //esiste autorizzazione?
-			list($delcons)=mysql_fetch_row($rescomu);
-			if (!$max){			//se no la inserisce
-			$result = mysql_query("insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze,id_fascia,vismf,solo_gruppo,disgiunto) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze','$idfascia','$vismf','$sg','$disgiunto')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
-			$rescomu = mysql_query("SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'", $dbi);
-		list($id_cons_comu)=mysql_fetch_row($rescomu);
-			$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$idcomunenew' ", $dbi);
-        		list($id_cons_pred)=mysql_fetch_row($res);
-			if (!$id_cons_pred) 
-				$res = mysql_query("update ".$prefix."_ele_comuni set id_cons='$id_cons_comu' where id_comune='$idcomunenew' ", $dbi);
-
+		$sql="SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'"; 
+		$rescomu = $dbi->prepare("$sql");
+		$rescomu->execute();	
+		$max = $rescomu->rowCount(); //esiste autorizzazione?
+		list($delcons)=$rescomu->fetch(PDO::FETCH_NUM);
+		if (!$max){			//se no la inserisce
+			$sql="insert into ".$prefix."_ele_cons_comune (chiusa,id_comune,id_cons_gen,id_conf,preferenze,id_fascia,vismf,solo_gruppo,disgiunto) values ('0','$idcomunenew','$id_cons_gen','$id_conf','$preferenze','$idfascia','$vismf','$sg','$disgiunto')";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="SELECT id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$idcomunenew'";
+			$rescomu = $dbi->prepare("$sql");
+			$rescomu->execute();	
+			list($id_cons_comu)=$rescomu->fetch(PDO::FETCH_NUM);
+			$sql="SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$idcomunenew' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();	
+			list($id_cons_pred)=$res->fetch(PDO::FETCH_NUM);
+			if (!$id_cons_pred) {
+				$sql="update ".$prefix."_ele_comuni set id_cons='$id_cons_comu' where id_comune='$idcomunenew' ";
+				$res = $dbi->prepare("$sql");
+				$res->execute();	
+				}
 		}
 		if ($do == "update") {
@@ -321,36 +352,71 @@
 			else $newid='';
 			$result = mysql_query("update ".$prefix."_ele_comu_collegi set id_collegio= '$id_collegio' $newid where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi) || die(mysql_error());
-			if (!$result) return;
-			$result = mysql_query("update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze',id_fascia='$idfascia',vismf='$vismf',solo_gruppo='$sg',disgiunto='$disgiunto' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'", $dbi)|| die(mysql_error());
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			if (!$result->rowCount()) return;
+			$sql="update ".$prefix."_ele_cons_comune set id_conf='$id_conf', chiusa= '$chiusa', preferenze='$preferenze',id_fascia='$idfascia',vismf='$vismf',solo_gruppo='$sg',disgiunto='$disgiunto' where id_comune='$id_comune' and id_cons_gen='$id_cons_gen'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}elseif ($do == "add") {
 			if ($id_collegio){
-				$result = mysql_query("insert into ".$prefix."_ele_comu_collegi (id_collegio,id_cons,id_comune,id_cons_gen) values ('$id_collegio','$id_cons_comu','$idcomunenew','$id_cons_gen')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+				$sql="insert into ".$prefix."_ele_comu_collegi (id_collegio,id_cons,id_comune,id_cons_gen) values ('$id_collegio','$id_cons_comu','$idcomunenew','$id_cons_gen')";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
 				}
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
 		}elseif ($do == "delete" and $delcons>0) {
 			$idcns=$delcons; 
-			$res_del = mysql_query("delete from ".$prefix."_ele_voti_ref where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_voti_lista where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_controllosez where id_cons=$idcns" ,$dbi);
+			$sql="delete from ".$prefix."_ele_voti_ref where id_cons=$idcns";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="delete from ".$prefix."_ele_voti_candidati where id_cons=$idcns";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="delete from ".$prefix."_ele_voti_lista where id_cons=$idcns";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="delete from ".$prefix."_ele_voti_gruppo where id_cons=$idcns";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="delete from ".$prefix."_ele_voti_parziale where id_cons=$idcns";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
+			$sql="delete from ".$prefix."_ele_controllosez where id_cons=$idcns";
+			$result = $dbi->prepare("$sql");
+			$result->execute();	
 			if ($pwd4==1){
-			$res_del = mysql_query("delete from ".$prefix."_ele_candidati where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_lista where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_gruppo where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_sezioni where id_cons=$idcns" ,$dbi);
-			$res_del = mysql_query("delete from ".$prefix."_ele_cons_comune where id_cons=$idcns" ,$dbi);
-			$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-        		list($id_cons_pred)=mysql_fetch_row($res);
+				$sql="delete from ".$prefix."_ele_candidati where id_cons=$idcns";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+				$sql="delete from ".$prefix."_ele_lista where id_cons=$idcns";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+				$sql="delete from ".$prefix."_ele_gruppo where id_cons=$idcns";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+				$sql="delete from ".$prefix."_ele_sezioni where id_cons=$idcns";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+				$sql="delete from ".$prefix."_ele_cons_comune where id_cons=$idcns";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
+				$sql="SELECT id_cons FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+				$res = $dbi->prepare("$sql");
+				$res->execute();	
+				list($id_cons_pred)=$res->fetch(PDO::FETCH_NUM);
 				if ($idcns==$id_cons_pred) {
-				$res = mysql_query("select id_cons from ".$prefix."_ele_cons_comune where id_comune=$id_comune order by id_cons desc limit 0,1" ,$dbi);
-        			list($id_cons_pred)=mysql_fetch_row($res); 
-				$res = mysql_query("update ".$prefix."_ele_comuni set id_cons='$id_cons_pred' where id_comune='$id_comune' ", $dbi);
+					$sql="select id_cons from ".$prefix."_ele_cons_comune where id_comune=$id_comune order by id_cons desc limit 0,1";
+					$res = $dbi->prepare("$sql");
+					$res->execute();	
+					list($id_cons_pred)=$res->fetch(PDO::FETCH_NUM);
+					$sql="update ".$prefix."_ele_comuni set id_cons='$id_cons_pred' where id_comune='$id_comune' ";
+					$res = $dbi->prepare("$sql");
+					$res->execute();	
 				}
 			}else{
-			$res_del = mysql_query("update ".$prefix."_ele_sezioni set validi='0', nulli='0', bianchi='0', contestati='0', solo_gruppo='0', autorizzati_m='0', autorizzati_f='0', voti_nulli='0', validi_lista='0', contestati_lista='0', voti_nulli_lista='0' where id_cons=$idcns" ,$dbi);
-			
+				$sql="update ".$prefix."_ele_sezioni set validi='0', nulli='0', bianchi='0', contestati='0', solo_gruppo='0', autorizzati_m='0', autorizzati_f='0', voti_nulli='0', validi_lista='0', contestati_lista='0', voti_nulli_lista='0' where id_cons=$idcns";
+				$result = $dbi->prepare("$sql");
+				$result->execute();	
 			}
 			Header("Location: admin.php?op=associazioni&id_cons_gen=$id_cons_gen");
